@extends($ssl ? 'layouts.ssl' : 'layouts.no-ssl')

@section('server')

    root {{ $root }};
    index {{ $index }};

    # rewrite
    location / {
        try_files $uri $uri/ /index.php?$args;
    }

    location = /favicon.ico {
        log_not_found off;
        access_log off;
    }

    location = /robots.txt {
        allow all;
        log_not_found off;
        access_log off;
    }

    location ~* \.(js|css|png|jpg|jpeg|gif|ico|woff|eot|ttf|svg|mp4|webm)$ {
        expires max;
        log_not_found off;
        access_log off;
    }

    location ~ /\. {
        deny all;
    }

    location ~* /(?:uploads|files)/.*\.php$ {
        deny all;
    }

    # php-fpm configuration.
    location ~ \.php(/|$) {
        fastcgi_split_path_info  ^(.+\.php)(.*)$;
        fastcgi_pass             unix:/var/run/php/{{ $phpFpm }}.sock;
        fastcgi_index            index.php;
        fastcgi_param            SCRIPT_FILENAME $realpath_root$fastcgi_script_name;
        fastcgi_param            DOCUMENT_ROOT $realpath_root;
        include                  /etc/nginx/fastcgi_params;
    }
@endsection